---
title: Dávid Iľaš
published: true
taxonomy:
    category: [dp2023]
    tag: [demo,nlp,spacy]
    author: Daniel Hladek
---
# Martin Wencel 

Rok začiatku štúdia: 2018

Komunikácia je možná aj cez [MS Teams](https://teams.microsoft.com/l/team/19%3aa8596a401a3842e5b91ac918a2a0afb1%40thread.tacv2/conversations?groupId=4fc0c627-d424-4587-b73a-2e47509862e9&tenantId=1c9f27ef-fee6-45f4-9a64-255a8c8e25a5).
Konzultačné hodiny sú v piatok 9:20-14:00.

## Bakalárska práca 202

Názov: Demonštrácia spracovania slovenského prirodzeného jazyka pomocou knižnice Spacy

- [Demonštračná aplikácia pre Spacy](https://spacy.tukekemt.xyz)
- [Bakalárska práca](https://opac.crzp.sk/?fn=detailBiblioForm&sid=CF9E62B1F4156FE3B22E0B84D7C8)

Návrh na zadanie:

1. Vypracujte teoretický úvod do spracovania prirodzeného slovenského jazyka. Vysvetlite, čo to je parsing, morfologická analýza a rozpoznávanie pomenovaných entít a akými metódami sa vykonávajú.
1. Podrobne vysvetlite, ako pracuje parsing, morfologická analýza a rozpoznávanie pomenovaných entít v knižnici Spacy.
1. Vytvorte demonštračnú webovú aplikáciu pomocou ktorej je možné vyskúšať spracovanie slovenského aj anglického jazyka.
1. Navrhnite možné zlepšenia Vami vytvorenej aplikácie.

- [Repo s výsledkami](https://git.kemt.fei.tuke.sk/mw223on/bp2020)
- [Preprecované repo](https://git.kemt.fei.tuke.sk/KEMT/bc_wencel2021)



